aboutsummaryrefslogtreecommitdiffstats
path: root/community/buildbot/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 12:27:30 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 12:27:34 +0000
commit87c300e4a4b56d47f71e2f4b18e8e58112e20d41 (patch)
tree912fd1cc440e08754b3a41faf22bade06a24ab0e /community/buildbot/APKBUILD
parent537cba6faae5e71f27ace230e2fda7d447b69112 (diff)
downloadaports-87c300e4a4b56d47f71e2f4b18e8e58112e20d41.tar.gz
aports-87c300e4a4b56d47f71e2f4b18e8e58112e20d41.tar.bz2
aports-87c300e4a4b56d47f71e2f4b18e8e58112e20d41.tar.xz
community/buildbot: upgrade to 0.9.0rc2, moved from testing
Diffstat (limited to 'community/buildbot/APKBUILD')
-rw-r--r--community/buildbot/APKBUILD61
1 files changed, 61 insertions, 0 deletions
diff --git a/community/buildbot/APKBUILD b/community/buildbot/APKBUILD
new file mode 100644
index 0000000000..1821ea0fb1
--- /dev/null
+++ b/community/buildbot/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=buildbot
+pkgver=0.9.0_rc2
+pkgrel=0
+pkgdesc="Continuous integration testing framework"
+url="http://buildbot.net/"
+arch="noarch"
+license="GPLv2"
+depends="python2 py-twisted py-simplejson py2-sqlalchemy
+ py2-pysqlite py-jinja2 py2-sqlalchemy-migrate
+ py-dateutil py-setuptools"
+depends_dev=""
+makedepends="python2-dev"
+install="${pkgname}.pre-install"
+BUILDBOT_USER=buildbot
+BUILDBOT_GROUP=buildbot
+pkgusers="$BUILDBOT_USER"
+pkggroups="$BUILDBOT_GROUP"
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-${pkgver/_/}.tar.gz
+ buildmaster.initd
+ buildmaster.confd"
+
+builddir="$srcdir"/$pkgname-${pkgver/_/}
+
+prepare() {
+ default_prepare || return 1
+}
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" \
+ || return 1
+ install -D -m 755 \
+ "$srcdir"/buildmaster.initd \
+ "$pkgdir"/etc/init.d/buildmaster \
+ || return 1
+ install -D -m 644 \
+ "$srcdir"/buildmaster.confd \
+ "$pkgdir"/etc/conf.d/buildmaster \
+ || return 1
+ install -d -o $BUILDBOT_USER -g $BUILDBOT_GROUP \
+ "$pkgdir"/var/lib/buildmaster \
+ || return 1
+}
+
+md5sums="eb31b72d45bf58692666150083aad662 buildbot-0.9.0rc2.tar.gz
+b8a4cd31065d2fcd305e76c9e4bd2103 buildmaster.initd
+b3cd43ecb53b66433e0384ad922ffde1 buildmaster.confd"
+sha256sums="b3b2fa1a004f6c3a83a0d1222da8d3d5279498030565de28247e8d28bf5cbf1b buildbot-0.9.0rc2.tar.gz
+ddc5b7c504702da9e7452d04070a65afb8f0ff9082b3f62e8dfcebc8c2e5256e buildmaster.initd
+bb7f93e3867b32a25e2445a66d40573fa5073a80e73e35ae2a904db715f870c6 buildmaster.confd"
+sha512sums="122a0016bf35c409c30a9407164bb1058a0e3701f339d8fb01fc619b12f5ccfaf0de90070051f2d68e4fbfcd28174df031a8c5e8d339911490d3ee14f6ac5d32 buildbot-0.9.0rc2.tar.gz
+2e65d22f1b94433ba11839fb3434d072f9ff8132396b03fdcdb3b437778679d1699534296fbb851d2661a3a7a0bce4ef1f94c49e7910419557e4055f2ed1a4d5 buildmaster.initd
+d9339c30d3a92e92b41b0e3139ec89ecbd1460b0e4ee6c6fe2560c4307b2eb3f29b838c2f2312b9c7049bd95eaf652d09039227c691af805bc25a36999ec1840 buildmaster.confd"